var colorList = document.getElementById('color-list');

// 获得JSON对象
let colorHues = [
	'{"name":"Warm Flame","color":{"start":"#ff9a9e","end":"#fad0c4"},"setting":[{"title":"#ff9a9e","#ff9a9e":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#fad0c4","#ff9a9e":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Night Fade","color":{"start":"#a18cd1","end":"#fbc2eb"},"setting":[{"title":"#a18cd1","#a18cd1":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#fbc2eb","#fbc2eb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Spring WarmthGet","color":{"start":"#fad0c4","end":"#ffd1ff"},"setting":[{"title":"#fad0c4","#fad0c4":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#ffd1ff","#ffd1ff":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Juicy Peach","color":{"start":"#ffecd2","end":"#fcb69f"},"setting":[{"title":"#ffecd2","#ffecd2":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#fcb69f","#fcb69f":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Young Passion","color":{"start":"#ff8177","end":"#b12a5b"},"setting":[{"title":"#ff8177","#ff8177":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#b12a5b","#b12a5b":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Lady Lips","color":{"start":"#ff9a9e","end":"#fecfef"},"setting":[{"title":"#ff9a9e","#ff9a9e":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#fecfef","#fecfef":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Sunny Morning","color":{"start":"#f6d365","end":"#fda085"},"setting":[{"title":"#f6d365","#f6d365":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#fda085","#fda085":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Rainy Ashville","color":{"start":"#fbc2eb","end":"#a6c1ee"},"setting":[{"title":"#fbc2eb","#fbc2eb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#a6c1ee","#a6c1ee":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Frozen Dreams","color":{"start":"#fdcbf1","end":"#e6dee9"},"setting":[{"title":"#fdcbf1","#fdcbf1":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#e6dee9","#e6dee9":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Winter Neva","color":{"start":"#a1c4fd","end":"#c2e9fb"},"setting":[{"title":"#a1c4fd","#a1c4fd":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#c2e9fb","#c2e9fb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Dusty Grass","color":{"start":"#d4fc79","end":"#96e6a1"},"setting":[{"title":"#d4fc79","#d4fc79":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#96e6a1","#96e6a1":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Tempting Azure","color":{"start":"#84fab0","end":"#8fd3f4"},"setting":[{"title":"#84fab0","#84fab0":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#8fd3f4","#8fd3f4":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Heavy Rain","color":{"start":"#cfd9df","end":"#e2ebf0"},"setting":[{"title":"#cfd9df","#cfd9df":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#e2ebf0","#e2ebf0":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Amy Crisp","color":{"start":"#a6c0fe","end":"#f68084"},"setting":[{"title":"#a6c0fe","#a6c0fe":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#f68084","#f68084":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Mean Fruit","color":{"start":"#fccb90","end":"#d57eeb"},"setting":[{"title":"#fccb90","#fccb90":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#d57eeb","#d57eeb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Deep Blue","color":{"start":"#e0c3fc","end":"#e0c3fc"},"setting":[{"title":"#e0c3fc","#e0c3fc":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#e0c3fc","#e0c3fc":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Ripe Malinka","color":{"start":"#f093fb","end":"#f5576c"},"setting":[{"title":"#f093fb","#f093fb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#f5576c","#f5576c":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Cloudy Knoxville","color":{"start":"#fdfbfb","end":"#ebedee"},"setting":[{"title":"#fdfbfb","#fdfbfb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#ebedee","#ebedee":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Malibu Beach","color":{"start":"#4facfe","end":"#00f2fe"},"setting":[{"title":"#4facfe","#4facfe":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#00f2fe","#00f2fe":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"New Life","color":{"start":"#43e97b","end":"#38f9d7"},"setting":[{"title":"#43e97b","#43e97b":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#38f9d7","#38f9d7":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"True Sunset","color":{"start":"#fa709a","end":"#fee140"},"setting":[{"title":"#fa709a","#fa709a":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#fee140","#fee140":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Morpheus Den","color":{"start":"#30cfd0","end":"#330867"},"setting":[{"title":"#30cfd0","#30cfd0":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#330867","#330867":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Rare Wind","color":{"start":"#a8edea","end":"#fed6e3"},"setting":[{"title":"#a8edea","#a8edea":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#fed6e3","#fed6e3":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Near Moon","color":{"start":"#5ee7df","end":"#b490ca"},"setting":[{"title":"#5ee7df","#5ee7df":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#b490ca","#b490ca":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Wild Apple","color":{"start":"#d299c2","end":"#fef9d7"},"setting":[{"title":"#d299c2","#d299c2":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#fef9d7","#fef9d7":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Saint Petersburg","color":{"start":"#f5f7fa","end":"#c3cfe2"},"setting":[{"title":"#f5f7fa","#f5f7fa":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#c3cfe2","#c3cfe2":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Arielles Smile","color":{"start":"#16d9e3","end":"#46aef7"},"setting":[{"title":"#16d9e3","#16d9e3":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#46aef7","#46aef7":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Plum Plate","color":{"start":"#667eea","end":"#764ba2"},"setting":[{"title":"#667eea","#667eea":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#764ba2","#764ba2":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Everlasting Sky","color":{"start":"#fdfcfb","end":"#e2d1c3"},"setting":[{"title":"#fdfcfb","#fdfcfb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#e2d1c3","#e2d1c3":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Happy Fisher","color":{"start":"#89f7fe","end":"#66a6ff"},"setting":[{"title":"#89f7fe","#89f7fe":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#66a6ff","#66a6ff":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"BlessingGet","color":{"start":"#fddb92","end":"#d1fdff"},"setting":[{"title":"#fddb92","#fddb92":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#d1fdff","#d1fdff":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Sharpeye Eagle","color":{"start":"#9890e3","end":"#b1f4cf"},"setting":[{"title":"#9890e3","#9890e3":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#b1f4cf","#b1f4cf":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Ladoga Bottom","color":{"start":"#ebc0fd","end":"#d9ded8"},"setting":[{"title":"#ebc0fd","#ebc0fd":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#d9ded8","#d9ded8":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Lemon Gate","color":{"start":"#96fbc4","end":"#f9f586"},"setting":[{"title":"#96fbc4","#96fbc4":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#f9f586","#f9f586":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Itmeo Branding","color":{"start":"#2af598","end":"#009efd"},"setting":[{"title":"#2af598","#2af598":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#009efd","#009efd":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Zeus Miracle","color":{"start":"#cd9cf2","end":"#f6f3ff"},"setting":[{"title":"#cd9cf2","#cd9cf2":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#f6f3ff","#f6f3ff":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Old Hat","color":{"start":"#e4afcb","end":"#7edbdc"},"setting":[{"title":"#e4afcb","#e4afcb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#7edbdc","#7edbdc":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Star Wine","color":{"start":"#b8cbb8","end":"#ee609c"},"setting":[{"title":"#b8cbb8","#b8cbb8":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#ee609c","#ee609c":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Deep Blue","color":{"start":"#6a11cb","end":"#2575fc"},"setting":[{"title":"#6a11cb","#6a11cb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#2575fc","#2575fc":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Happy Acid","color":{"start":"#37ecba","end":"#72afd3"},"setting":[{"title":"#37ecba","#37ecba":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#72afd3","#72afd3":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Awesome Pine","color":{"start":"#ebbba7","end":"#cfc7f8"},"setting":[{"title":"#ebbba7","#ebbba7":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#cfc7f8","#cfc7f8":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"New York","color":{"start":"#fff1eb","end":"#ace0f9"},"setting":[{"title":"#fff1eb","#fff1eb":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#ace0f9","#ace0f9":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Fly High","color":{"start":"#48c6ef","end":"#6f86d6"},"setting":[{"title":"#48c6ef","#48c6ef":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#6f86d6","#6f86d6":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Fresh Milk","color":{"start":"#feada6","end":"#f5efef"},"setting":[{"title":"#feada6","#feada6":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#f5efef","#f5efef":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"Snow Again","color":{"start":"#e6e9f0","end":"#eef1f5"},"setting":[{"title":"#e6e9f0","#e6e9f0":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#eef1f5","#eef1f5":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
	'{"name":"February Ink","color":{"start":"#accbee","end":"#e7f0fd"},"setting":[{"title":"#accbee","#accbee":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"#e7f0fd","#e7f0fd":{"default":"0.5","max":"12.0","min":"0.0"}},{"title":"Angle","Angle":{"default":"0.5","max":"12.0","min":"0.0"}}]}',
];
let total = colorHues.length;

for (var i = 0; i < total; i++) {
	var jsonStr = colorHues[i];
	var jsonObj = window.JSON.parse(jsonStr);
	let name = jsonObj.name; // 颜色名称
	let start = jsonObj.color.start; // 开始颜色
	let end = jsonObj.color.end; // 结束颜色
	colorList.innerHTML +=
		'<div class="backgroundColorImgs" onclick="changeImgCardBackgroundImg()" style="position:relative;margin-left:10px;width:76px; height:76px; background-image: linear-gradient(45deg, ' +
		start + ' 0%, ' + end + ' 99%, ' + end + ' 100%);">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>';
}

let signalColors = [
	'#ffffff', '#ffff00', '#ffff33',
	'#FFFFFF', '#FFFFF0', '#FFFFE0', '#FFFF00',
	'#FFFAFA', '#FFFAF0', '#FFFACD', '#FFF8DC',
	'#FFF68F', '#FFF5EE', '#FFF0F5', '#FFEFDB',
	'#FFEFD5', '#FFEC8B', '#FFEBCD', '#FFE7BA',
	'#FFE4E1', '#FFE4C4', '#FFE4B5', '#FFE1FF',
	'#FFDEAD', '#FFDAB9', '#FFD700', '#FFD39B',
	'#FFC1C1', '#FFC125', '#FFC0CB', '#FFBBFF',
	'#FFB90F', '#FFB6C1', '#FFB5C5', '#FFAEB9',
	'#FFA54F', '#FFA500', '#FFA07A', '#FF8C69',
	'#FF8C00', '#FF83FA', '#FF82AB', '#FF8247',
	'#FF7F50', '#FF7F24', '#FF7F00', '#FF7256',
	'#FF6EB4', '#FF6A6A', '#FF69B4', '#FF6347',
	'#FF4500', '#FF4040', '#FF3E96', '#FF34B3',
	'#FF3030', '#FF1493', '#FF00FF', '#FF0000',
	'#FDF5E6', '#FCFCFC', '#FAFAFA', '#FAFAD2',
	'#FAF0E6', '#FAEBD7', '#FA8072', '#F8F8FF',
	'#F7F7F7', '#F5FFFA', '#F5F5F5', '#F5F5DC',
	'#F5DEB3', '#F4F4F4', '#F4A460', '#F2F2F2',
	'#F0FFFF', '#F0FFF0', '#F0F8FF', '#F0F0F0',
	'#F0E68C', '#F08080', '#EEEEE0', '#EEEED1',
	'#EEEE00', '#EEE9E9', '#EEE9BF', '#EEE8CD',
	'#EEE8AA', '#EEE685', '#EEE5DE', '#EEE0E5',
	'#EEDFCC', '#EEDC82', '#EED8AE', '#EED5D2',
	'#EED5B7', '#EED2EE', '#EECFA1', '#EECBAD',
	'#EEC900', '#EEC591', '#EEB4B4', '#EEB422',
	'#EEAEEE', '#EEAD0E', '#EEA9B8', '#EEA2AD',
	'#EE9A49', '#EE9A00', '#EE9572', '#EE82EE',
	'#EE8262', '#EE7AE9', '#EE799F', '#EE7942',
	'#EE7621', '#EE7600', '#EE6AA7', '#EE6A50',
	'#EE6363', '#EE5C42', '#EE4000', '#EE3B3B',
	'#EE3A8C', '#EE30A7', '#EE2C2C', '#EE1289',
	'#EE00EE', '#EE0000', '#EDEDED', '#EBEBEB',
	'#EAEAEA', '#E9967A', '#E8E8E8', '#E6E6FA',
	'#E5E5E5', '#E3E3E3', '#E0FFFF', '#E0EEEE',
	'#E0EEE0', '#E0E0E0', '#E066FF', '#DEDEDE',
	'#DEB887', '#DDA0DD', '#DCDCDC', '#DC143C',
	'#DBDBDB', '#DB7093', '#DAA520', '#DA70D6',
	'#D9D9D9', '#D8BFD8', '#D6D6D6', '#D4D4D4',
	'#D3D3D3', '#D2B48C', '#D2691E', '#D1EEEE',
	'#D1D1D1', '#D15FEE', '#D02090', '#CFCFCF',
	'#CDCDC1', '#CDCDB4', '#CDCD00', '#CDC9C9',
	'#CDC9A5', '#CDC8B1', '#CDC673', '#CDC5BF',
	'#CDC1C5', '#CDC0B0', '#CDBE70', '#CDBA96',
	'#CDB7B5', '#CDB79E', '#CDB5CD', '#CDB38B',
	'#CDAF95', '#CDAD00', '#CDAA7D', '#CD9B9B',
	'#CD9B1D', '#CD96CD', '#CD950C', '#CD919E',
	'#CD8C95', '#CD853F', '#CD8500', '#CD8162',
	'#CD7054', '#CD69C9', '#CD6889', '#CD6839',
	'#CD661D', '#CD6600', '#CD6090', '#CD5C5C',
	'#CD5B45', '#CD5555', '#CD4F39', '#CD3700',
	'#CD3333', '#CD3278', '#CD2990', '#CD2626',
	'#CD1076', '#CD00CD', '#CD0000', '#CCCCCC',
	'#CAFF70', '#CAE1FF', '#C9C9C9', '#C7C7C7',
	'#C71585', '#C6E2FF', '#C67171', '#C5C1AA',
	'#C4C4C4', '#C2C2C2', '#C1FFC1', '#C1CDCD',
	'#C1CDC1', '#C1C1C1', '#C0FF3E', '#BFEFFF',
	'#BFBFBF', '#BF3EFF', '#BEBEBE', '#BDBDBD',
	'#BDB76B', '#BCEE68', '#BCD2EE', '#BC8F8F',
	'#BBFFFF', '#BABABA', '#BA55D3', '#B9D3EE',
	'#B8B8B8', '#B8860B', '#B7B7B7', '#B5B5B5',
	'#B4EEB4', '#B4CDCD', '#B452CD', '#B3EE3A',
	'#B3B3B3', '#B2DFEE', '#B23AEE', '#B22222',
	'#B0E2FF', '#B0E0E6', '#B0C4DE', '#B0B0B0',
	'#B03060', '#AEEEEE', '#ADFF2F', '#ADD8E6',
	'#ADADAD', '#ABABAB', '#AB82FF', '#AAAAAA',
	'#A9A9A9', '#A8A8A8', '#A6A6A6', '#A52A2A',
	'#A4D3EE', '#A3A3A3', '#A2CD5A', '#A2B5CD',
	'#A1A1A1', '#A0522D', '#A020F0', '#9FB6CD',
	'#9F79EE', '#9E9E9E', '#9C9C9C', '#9BCD9B',
	'#9B30FF', '#9AFF9A', '#9ACD32', '#9AC0CD',
	'#9A32CD', '#999999', '#9932CC', '#98FB98',
	'#98F5FF', '#97FFFF', '#96CDCD', '#969696',
	'#949494', '#9400D3', '#9370DB', '#919191',
	'#912CEE', '#90EE90', '#8FBC8F', '#8F8F8F',
	'#8EE5EE', '#8E8E8E', '#8E8E38', '#8E388E',
	'#8DEEEE', '#8DB6CD', '#8C8C8C', '#8B8B83',
	'#8B8B7A', '#8B8B00', '#8B8989', '#8B8970',
	'#8B8878', '#8B8682', '#8B864E', '#8B8386',
	'#8B8378', '#8B814C', '#8B7E66', '#8B7D7B',
	'#8B7D6B', '#8B7B8B', '#8B795E', '#8B7765',
	'#8B7500', '#8B7355', '#8B6969', '#8B6914',
	'#8B668B', '#8B6508', '#8B636C', '#8B5F65',
	'#8B5A2B', '#8B5A00', '#8B5742', '#8B4C39',
	'#8B4789', '#8B475D', '#8B4726', '#8B4513',
	'#8B4500', '#8B3E2F', '#8B3A62', '#8B3A3A',
	'#8B3626', '#8B2500', '#8B2323', '#8B2252',
	'#8B1C62', '#8B1A1A', '#8B0A50', '#8B008B',
	'#8B0000', '#8A8A8A', '#8A2BE2', '#8968CD',
	'#87CEFF', '#87CEFA', '#87CEEB', '#878787',
	'#858585', '#848484', '#8470FF', '#838B8B',
	'#838B83', '#836FFF', '#828282', '#7FFFD4',
	'#7FFF00', '#7F7F7F', '#7EC0EE', '#7D9EC0',
	'#7D7D7D', '#7D26CD', '#7CFC00', '#7CCD7C',
	'#7B68EE', '#7AC5CD', '#7A8B8B', '#7A7A7A',
	'#7A67EE', '#7A378B', '#79CDCD', '#787878',
	'#778899', '#76EEC6', '#76EE00', '#757575',
	'#737373', '#71C671', '#7171C6', '#708090',
	'#707070', '#6E8B3D', '#6E7B8B', '#6E6E6E',
	'#6CA6CD', '#6C7B8B', '#6B8E23', '#6B6B6B',
	'#6A5ACD', '#698B69', '#698B22', '#696969',
	'#6959CD', '#68838B', '#68228B', '#66CDAA',
	'#66CD00', '#668B8B', '#666666', '#6495ED',
	'#63B8FF', '#636363', '#616161', '#607B8B',
	'#5F9EA0', '#5E5E5E', '#5D478B', '#5CACEE',
	'#5C5C5C', '#5B5B5B', '#595959', '#575757',
	'#556B2F', '#555555', '#551A8B', '#54FF9F',
	'#548B54', '#545454', '#53868B', '#528B8B',
	'#525252', '#515151', '#4F94CD', '#4F4F4F',
	'#4EEE94', '#4D4D4D', '#4B0082', '#4A708B',
	'#4A4A4A', '#48D1CC', '#4876FF', '#483D8B',
	'#474747', '#473C8B', '#4682B4', '#458B74',
	'#458B00', '#454545', '#43CD80', '#436EEE',
	'#424242', '#4169E1', '#40E0D0', '#404040',
	'#3D3D3D', '#3CB371', '#3B3B3B', '#3A5FCD',
	'#388E8E', '#383838', '#36648B', '#363636',
	'#333333', '#32CD32', '#303030', '#2F4F4F',
	'#2E8B57', '#2E2E2E', '#2B2B2B', '#292929',
	'#282828', '#27408B', '#262626', '#242424',
	'#228B22', '#218868', '#212121', '#20B2AA',
	'#1F1F1F', '#1E90FF', '#1E1E1E', '#1C86EE',
	'#1C1C1C', '#1A1A1A', '#191970', '#1874CD',
	'#171717', '#141414', '#121212', '#104E8B',
	'#0F0F0F', '#0D0D0D', '#0A0A0A', '#080808',
	'#050505', '#030303', '#00FFFF', '#00FF7F',
	'#00FF00', '#00FA9A', '#00F5FF', '#00EEEE',
	'#00EE76', '#00EE00', '#00E5EE', '#00CED1',
	'#00CDCD', '#00CD66', '#00CD00', '#00C5CD',
	'#00BFFF', '#00B2EE', '#009ACD', '#008B8B',
	'#008B45', '#008B00', '#00868B', '#00688B',
	'#006400', '#0000FF', '#0000EE', '#0000CD',
	'#0000AA', '#00008B', '#000080', '#000000'
];
total = signalColors.length;

for (var i = 0; i < total; i++) {
	let colorname = signalColors[i]; // 颜色名称
	colorList.innerHTML +=
		'<div class="colors" onclick="changeImgCardBackground()" style="position:relative;margin-left:10px;width:76px; height:76px; background-color:' +
		colorname + '">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>';
}

var changeImgCardBackgroundImg = () => {
	var colorView = document.getElementsByClassName("backgroundColorImgs");
	for (var i = 0; i < colorView.length; i++) {
		colorView[i].index = i;
		colorView[i].onclick = function() {
			let index = this.index;

			let angle = 45; // 角度
			let startPercentage = 0;
			let endPercentage = 99;

			var jsonStr = colorHues[index];
			var jsonObj = window.JSON.parse(jsonStr);
			let start = jsonObj.color.start.substring(1); // 开始颜色
			let end = jsonObj.color.end.substring(1); // 结束颜色

			document.getElementById('home-color-info-font').innerHTML = 'Angle ' + angle + '&nbsp;#' + start + '&nbsp;' + startPercentage + '%&nbsp;-->&nbsp;' + '#' + end + '&nbsp;' + endPercentage + '%';
			document.getElementById('card-image').setAttribute('style',
				'height:-webkit-calc(40vh); background-image: linear-gradient(' +
				angle +
				'deg, #' + start + ' ' + startPercentage + '%, #' + end + ' ' + endPercentage + '%, #' +
				end + ' 100%)');
		}
	}
}

var changeImgCardBackground = () => {
	var colorView = document.getElementsByClassName("colors");
	for (var i = 0; i < colorView.length; i++) {
		colorView[i].index = i;
		colorView[i].onclick = function() {
			let index = this.index;

			let colorname = signalColors[index]; // 颜色名称
			console.log(colorname);
			document.getElementById('home-color-info-font').innerHTML = colorname;
			document.getElementById('card-image').setAttribute('style',
				'height:-webkit-calc(40vh); background-color: '+ colorname + '');
		}
	}
}