const url = decodeURI(location.search); // 获取url中"?"符后的字串(包括问号)
let query = {};
if (url.indexOf("?") != -1) {
	const str = url.substr(1);
	const pairs = str.split("&");
	for (let i = 0; i < pairs.length; i++) {
		const pair = pairs[i].split("=");
		query[pair[0]] = pair[1];
	}
}

let start = query.start;
let end = query.end;

document.getElementById('edit-show').setAttribute('style', 'height:150vw; background-image: linear-gradient(45deg, #' +
	start +
	' 0%, #' + end + ' 99%, #' + end + ' 100%)');


// 跳转主页
var oDiv = document.getElementById("backHome");
oDiv.addEventListener("click", function() {
	window.location.href = 'home.html';
});

// 配置改变
function change() {
	var angleNum = document.getElementById('angle').value;
	var startNum = document.getElementById('start').value;
	var endNum = document.getElementById('end').value;
	document.getElementById('edit-show').setAttribute('style', 'height:150vw; background-image: linear-gradient(' + angleNum +
		'deg, #' + start + ' ' + startNum + '%, #' + end + ' ' + endNum + '%, #' + end + ' 100%)');
	document.getElementById('showAngle').innerText = angleNum + 'deg';
	document.getElementById('showStart').innerText = startNum + '%';
	document.getElementById('showEnd').innerText = endNum + '%';
}

/* 复制 */
function copy() {
	var angleNum = document.getElementById('angle').value;
	var startNum = document.getElementById('start').value;
	var endNum = document.getElementById('end').value;
	let backgroundImgStr = 'background-image: linear-gradient(' + angleNum +
		'deg, #' + start + ' ' + startNum + '%, #' + end + ' ' + endNum + '%, #' + end + ' 100%)';
	console.log(backgroundImgStr);
	const result = document.execCommand("copy");
	console.error(result ? '复制成功' : '复制失败');
	alert(backgroundImgStr);
}
